Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 520204 - Review Request: aspell-ro - Romanian dictionary for Aspell
Summary: Review Request: aspell-ro - Romanian dictionary for Aspell
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-08-28 22:19 UTC by Ionuț Arțăriși
Modified: 2010-12-13 14:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 14:07:12 UTC


Attachments (Terms of Use)

Description Ionuț Arțăriși 2009-08-28 22:19:47 UTC
Spec URL: http://mapleoin.fedorapeople.org/pkgs/aspell-ro/aspell-ro.spec
SRPM URL: http://mapleoin.fedorapeople.org/pkgs/aspell-ro/aspell-ro-3.2.7-1.fc11.src.rpm
Description: Provides the word list/dictionaries for the following: Romanian

--

I basically copied a lot of this from the french one: http://cvs.fedoraproject.org/viewvc/rpms/aspell-fr/F-11/aspell-fr.spec?view=co

Modified a bit for extra files and different source.

This is (sort of) my first package so I would please like a sponsor!
I've got another package awaiting review/sponsorship here: #519282

Thank you!

Comment 1 Garrett Holmstrom 2010-01-08 22:41:48 UTC
I am not a sponsor (or even a packager yet), however here are some informal comments based on
http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

rpmlint reports:
aspell-ro.src:26: W: configure-without-libdir-spec

- This one's OK because it isn't an autoconf-based configure.

aspell-ro.x86_64: E: no-binary
aspell-ro.x86_64: W: only-non-binary-in-usr-lib

- As far as I know these are OK simply because it's an aspell dictionary package.

aspell-ro-debuginfo.x86_64: E: empty-debuginfo-package

- I don't think you need a debuginfo package for aspell dictionaries.  If you add the line "%define debug_package %{nil}" to your spec file it won't try to build one.

Comment 2 manuel wolfshant 2010-07-16 06:30:36 UTC
Ionut, please update the specfile for the most current upstream version of the dictionaries and I'll do the review.
Since there are 2 dictionaries upstream, I suggest to pack them both (http://sourceforge.net/projects/rospell/files/Romanian%20dictionaries/dict-3.3.4/ro_RO-classic.3.3.4.zip/download and http://sourceforge.net/projects/rospell/files/Romanian%20dictionaries/dict-3.3.4/ro_RO.3.3.4.zip/download) and create 2 packages, aspell-ro and aspell-ro-classic.

Comment 3 manuel wolfshant 2010-07-16 06:34:04 UTC
Ionut, please add  "%define debug_package %{nil}" to your spec file, update it to include the most recent rospell dictionaries ( I suggest to include both aspell5-ro-3.3.4-classic.tar.bz2 and dict-3.3.4/aspell5-ro-3.3.4.tar.bz2 and to create 2 packages, one for each dictionary) and I'll do the review.

Comment 4 manuel wolfshant 2010-12-11 02:06:24 UTC
I am giving up the revue due to lack of response from the submitter and lack of time from myself

Comment 5 Jason Tibbitts 2010-12-13 14:07:12 UTC
If the submitter's not responding, what is the point in keeping the ticket open at all?  It doesn't appear that the submitter has ever responded, so I'm just going to close this.


Note You need to log in before you can comment on or make changes to this bug.